<?xml version="1.0" encoding="utf-8"?>






<rss xmlns:atom="http://www.w3.org/2005/Atom" version="2.0">
    <channel>
        <title>OpenBSD Pour Tous 🐡</title>
        <link>https://openbsd.fr.eu.org/</link>
        <description>OBSD4* : Site de la communauté francophone autour d&#39;OpenBSD.</description>
        <generator>Hugo 0.80.0 https://gohugo.io/</generator>
        
            <language>fr</language>
        
        
            <managingEditor>puffy@openbsd.fr.eu.org (OBSD4a)</managingEditor>
        
        
            <webMaster>puffy@openbsd.fr.eu.org (OBSD4a)</webMaster>
        
        
            <copyright>[CC 0](https://creativecommons.org/publicdomain/zero/1.0/deed.fr)</copyright>
        
        <lastBuildDate>Mon, 15 Mar 2021 18:19:54 &#43;0100</lastBuildDate>
        
            <atom:link rel="self" type="application/rss&#43;xml" href="https://openbsd.fr.eu.org/rss.xml" />
        
        
            <item>
                <title>Syspatch : libssl (2021/03/15)</title>
                <link>https://openbsd.fr.eu.org/posts/2021/03/15/syspatch-libssl-6.8/</link>
                <guid isPermaLink="true">https://openbsd.fr.eu.org/posts/2021/03/15/syspatch-libssl-6.8/</guid>
                <pubDate>Mon, 15 Mar 2021 18:08:33 &#43;0100</pubDate>
                
                    <author>puffy@openbsd.fr.eu.org (OBSD4a)</author>
                
                <copyright>[CC 0](https://creativecommons.org/publicdomain/zero/1.0/deed.fr)</copyright>
                
                    <description>&lt;h2 id=&#34;correctif-de-sécurité&#34;&gt;Correctif de sécurité&lt;/h2&gt;
&lt;p&gt;&lt;strong&gt;Un client TLS utilisant la reprise de session peut provoquer une utilisation après libération &lt;em&gt;(use-after-free)&lt;/em&gt;.&lt;/strong&gt;&lt;/p&gt;
&lt;p&gt;Pour toutes les architectures supportées :&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;amd64, arm64, i386 par &lt;code&gt;syspatch&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/03/15/syspatch-libssl-6.8/#recompilation&#34;&gt;recompilation&lt;/a&gt;&lt;/li&gt;
&lt;/ul&gt;
&lt;hr&gt;
&lt;h2 id=&#34;syspatch&#34;&gt;Syspatch&lt;/h2&gt;
&lt;p&gt;Cette étape ne concerne que les architectures amd64, arm64, i386 !&lt;/p&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# syspatch&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;Ensuite &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/03/15/syspatch-libssl-6.8/#restart&#34;&gt;redémarrez&lt;/a&gt; le service &lt;strong&gt;unwind&lt;/strong&gt; &lt;em&gt;si vous l&amp;rsquo;utilisez&lt;/em&gt; !&lt;/p&gt;
&lt;h2 id=&#34;recompilation&#34;&gt;Recompilation&lt;/h2&gt;
&lt;p&gt;Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :&lt;/p&gt;
&lt;p&gt;⇒ Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;Pour 6.8 :&lt;/li&gt;
&lt;/ul&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/017_libssl.patch.sig&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# signify -Vep /etc/signify/openbsd-68-base.pub -x 017_libssl.patch.sig \&lt;/span&gt;
        -m - &lt;span class=&#34;p&#34;&gt;|&lt;/span&gt; &lt;span class=&#34;o&#34;&gt;(&lt;/span&gt;&lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src &lt;span class=&#34;o&#34;&gt;&amp;amp;&amp;amp;&lt;/span&gt; patch -p0&lt;span class=&#34;o&#34;&gt;)&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;⇒ La phase de recompilation :&lt;/p&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;4
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;5
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;6
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;7
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;8
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;$ &lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src/lib/libssl
&lt;span class=&#34;c1&#34;&gt;# make obj     &lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make install&lt;/span&gt;
$ &lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src/sbin/unwind
&lt;span class=&#34;c1&#34;&gt;# make obj&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make install&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;Ensuite &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/03/15/syspatch-libssl-6.8/#restart&#34;&gt;redémarrez&lt;/a&gt; le service &lt;strong&gt;unwind&lt;/strong&gt; &lt;em&gt;si vous l&amp;rsquo;utilisez&lt;/em&gt; !&lt;/p&gt;
&lt;h2 id=&#34;restart&#34;&gt;Restart&lt;/h2&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# rcctl restart unwind&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;hr&gt;
&lt;p&gt;Plus d&amp;rsquo;informations sur les pages d&amp;rsquo;Errata &lt;a href=&#34;https://openbsd.org/errata68.html&#34;&gt;6.8&lt;/a&gt;… &lt;br&gt;
&lt;em&gt;et leurs versions FR respectives : &lt;a href=&#34;https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68&#34;&gt;6.8 FR&lt;/a&gt;.&lt;/em&gt;&lt;/p&gt;
&lt;hr&gt;
</description>
                
                
                
                
                
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/categories/syspatch/">Syspatch</category>
                                
                            
                        
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/syspatch/">Syspatch</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/libssl/">libssl</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/6.8/">6.8</category>
                                
                            
                        
                    
                
            </item>
        
            <item>
                <title>Syspatch : npppd (2021/03/09)</title>
                <link>https://openbsd.fr.eu.org/posts/2021/03/09/syspatch-npppd-6.7-6.8/</link>
                <guid isPermaLink="true">https://openbsd.fr.eu.org/posts/2021/03/09/syspatch-npppd-6.7-6.8/</guid>
                <pubDate>Tue, 09 Mar 2021 12:14:49 &#43;0100</pubDate>
                
                    <author>puffy@openbsd.fr.eu.org (OBSD4a)</author>
                
                <copyright>[CC 0](https://creativecommons.org/publicdomain/zero/1.0/deed.fr)</copyright>
                
                    <description>&lt;h2 id=&#34;correctif-de-sécurité-npppd&#34;&gt;Correctif de sécurité npppd&lt;/h2&gt;
&lt;p&gt;&lt;strong&gt;Le gestionnaire de protocole PPTP peut provoquer une sur-lecture du tas, ce qui peut entraîner un crash.&lt;/strong&gt;&lt;/p&gt;
&lt;p&gt;Il est nécessaire de &lt;strong&gt;redémarrer le service&lt;/strong&gt; après l&amp;rsquo;application du correctif !&lt;/p&gt;
&lt;p&gt;Pour toutes les architectures supportées :&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;amd64, arm64, i386 par &lt;code&gt;syspatch&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/03/09/syspatch-npppd-6.7-6.8/#recompilation&#34;&gt;recompilation&lt;/a&gt;&lt;/li&gt;
&lt;/ul&gt;
&lt;hr&gt;
&lt;h2 id=&#34;syspatch&#34;&gt;Syspatch&lt;/h2&gt;
&lt;p&gt;Cette étape ne concerne que les architectures amd64, arm64, i386 !&lt;/p&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# syspatch&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;Ensuite &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/03/09/syspatch-npppd-6.7-6.8/#restart&#34;&gt;redémarrez&lt;/a&gt; le service,  &lt;em&gt;si utilisé&lt;/em&gt; !&lt;/p&gt;
&lt;h2 id=&#34;recompilation&#34;&gt;Recompilation&lt;/h2&gt;
&lt;p&gt;Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :&lt;/p&gt;
&lt;p&gt;⇒ Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;Pour 6.8 :&lt;/li&gt;
&lt;/ul&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/016_npppd.patch.sig&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# signify -Vep /etc/signify/openbsd-68-base.pub -x 016_npppd.patch.sig \&lt;/span&gt;
        -m - &lt;span class=&#34;p&#34;&gt;|&lt;/span&gt; &lt;span class=&#34;o&#34;&gt;(&lt;/span&gt;&lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src &lt;span class=&#34;o&#34;&gt;&amp;amp;&amp;amp;&lt;/span&gt; patch -p0&lt;span class=&#34;o&#34;&gt;)&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;ul&gt;
&lt;li&gt;Pour 6.7 :&lt;/li&gt;
&lt;/ul&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.7/common/037_npppd.patch.sig&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# signify -Vep /etc/signify/openbsd-67-base.pub -x 037_npppd.patch.sig \&lt;/span&gt;
        -m - &lt;span class=&#34;p&#34;&gt;|&lt;/span&gt; &lt;span class=&#34;o&#34;&gt;(&lt;/span&gt;&lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src &lt;span class=&#34;o&#34;&gt;&amp;amp;&amp;amp;&lt;/span&gt; patch -p0&lt;span class=&#34;o&#34;&gt;)&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;⇒ La phase de recompilation :&lt;/p&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;4
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;$ &lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src/usr.sbin/npppd
&lt;span class=&#34;c1&#34;&gt;# make obj&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make install&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;Ensuite &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/03/09/syspatch-npppd-6.7-6.8/#restart&#34;&gt;redémarrez&lt;/a&gt; le service,  &lt;em&gt;si utilisé&lt;/em&gt; !&lt;/p&gt;
&lt;h2 id=&#34;restart&#34;&gt;Restart&lt;/h2&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# rcctl restart npppd&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;hr&gt;
&lt;p&gt;Plus d&amp;rsquo;informations sur les pages d&amp;rsquo;Errata &lt;a href=&#34;https://openbsd.org/errata68.html&#34;&gt;6.8&lt;/a&gt; et &lt;a href=&#34;https://openbsd.org/errata67.html&#34;&gt;6.7&lt;/a&gt;… &lt;br&gt;
&lt;em&gt;et leurs versions FR respectives : &lt;a href=&#34;https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68&#34;&gt;6.8 FR&lt;/a&gt; et &lt;a href=&#34;https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata67&#34;&gt;6.7 FR&lt;/a&gt;.&lt;/em&gt;&lt;/p&gt;
&lt;hr&gt;
</description>
                
                
                
                
                
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/categories/syspatch/">Syspatch</category>
                                
                            
                        
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/syspatch/">Syspatch</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/npppd/">npppd</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/6.7/">6.7</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/6.8/">6.8</category>
                                
                            
                        
                    
                
            </item>
        
            <item>
                <title>Syspatch : ssh-agent (2021/03/03)</title>
                <link>https://openbsd.fr.eu.org/posts/2021/03/03/syspatch-ssh-agent-6.7-6.8/</link>
                <guid isPermaLink="true">https://openbsd.fr.eu.org/posts/2021/03/03/syspatch-ssh-agent-6.7-6.8/</guid>
                <pubDate>Wed, 03 Mar 2021 23:12:34 &#43;0100</pubDate>
                
                    <author>puffy@openbsd.fr.eu.org (OBSD4a)</author>
                
                <copyright>[CC 0](https://creativecommons.org/publicdomain/zero/1.0/deed.fr)</copyright>
                
                    <description>&lt;h2 id=&#34;correctif-de-sécurité-ssh-agent&#34;&gt;Correctif de sécurité ssh-agent&lt;/h2&gt;
&lt;p&gt;&lt;strong&gt;Double libération (de mémoire) dans ssh-agent(1)&lt;/strong&gt;&lt;/p&gt;
&lt;p&gt;Pour toutes les architectures supportées :&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;amd64, arm64, i386 par &lt;code&gt;syspatch&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/03/03/syspatch-ssh-agent-6.7-6.8/#recompilation&#34;&gt;recompilation&lt;/a&gt;&lt;/li&gt;
&lt;/ul&gt;
&lt;hr&gt;
&lt;h2 id=&#34;syspatch&#34;&gt;Syspatch&lt;/h2&gt;
&lt;p&gt;Cette étape ne concerne que les architectures amd64, arm64, i386 !&lt;/p&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# syspatch&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;Ensuite redémarrez votre client ssh-agent !&lt;/p&gt;
&lt;h2 id=&#34;recompilation&#34;&gt;Recompilation&lt;/h2&gt;
&lt;p&gt;Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :&lt;/p&gt;
&lt;p&gt;⇒ Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;Pour 6.8 :&lt;/li&gt;
&lt;/ul&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/015_sshagent.patch.sig&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# signify -Vep /etc/signify/openbsd-68-base.pub -x 015_sshagent.patch.sig \&lt;/span&gt;
        -m - &lt;span class=&#34;p&#34;&gt;|&lt;/span&gt; &lt;span class=&#34;o&#34;&gt;(&lt;/span&gt;&lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src &lt;span class=&#34;o&#34;&gt;&amp;amp;&amp;amp;&lt;/span&gt; patch -p0&lt;span class=&#34;o&#34;&gt;)&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;ul&gt;
&lt;li&gt;Pour 6.7 :&lt;/li&gt;
&lt;/ul&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.7/common/036_sshagent.patch.sig&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# signify -Vep /etc/signify/openbsd-67-base.pub -x 036_sshagent.patch.sig \&lt;/span&gt;
        -m - &lt;span class=&#34;p&#34;&gt;|&lt;/span&gt; &lt;span class=&#34;o&#34;&gt;(&lt;/span&gt;&lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src &lt;span class=&#34;o&#34;&gt;&amp;amp;&amp;amp;&lt;/span&gt; patch -p0&lt;span class=&#34;o&#34;&gt;)&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;⇒ La phase de recompilation :&lt;/p&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;4
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;5
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;$ &lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src/usr.bin/ssh
&lt;span class=&#34;c1&#34;&gt;# make obj&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make clean&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make install&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;Ensuite redémarrez votre client ssh-agent !&lt;/p&gt;
&lt;hr&gt;
&lt;p&gt;Plus d&amp;rsquo;informations sur les pages d&amp;rsquo;Errata &lt;a href=&#34;https://openbsd.org/errata68&#34;&gt;6.8&lt;/a&gt; et &lt;a href=&#34;https://openbsd.org/errata67&#34;&gt;6.7&lt;/a&gt;… &lt;br&gt;
&lt;em&gt;et leurs versions FR respectives : &lt;a href=&#34;https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68&#34;&gt;6.8 FR&lt;/a&gt; et &lt;a href=&#34;https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata67&#34;&gt;6.7 FR&lt;/a&gt;.&lt;/em&gt;&lt;/p&gt;
&lt;hr&gt;
</description>
                
                
                
                
                
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/categories/syspatch/">Syspatch</category>
                                
                            
                        
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/syspatch/">Syspatch</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/ssh/">ssh</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/6.7/">6.7</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/6.8/">6.8</category>
                                
                            
                        
                    
                
            </item>
        
            <item>
                <title>Syspatch : pffrag (2021/02/24)</title>
                <link>https://openbsd.fr.eu.org/posts/2021/02/24/syspatch-pffrag-6.7-6.8/</link>
                <guid isPermaLink="true">https://openbsd.fr.eu.org/posts/2021/02/24/syspatch-pffrag-6.7-6.8/</guid>
                <pubDate>Wed, 24 Feb 2021 18:52:52 &#43;0100</pubDate>
                
                    <author>puffy@openbsd.fr.eu.org (OBSD4a)</author>
                
                <copyright>[CC 0](https://creativecommons.org/publicdomain/zero/1.0/deed.fr)</copyright>
                
                    <description>&lt;h2 id=&#34;correctif-de-sécurité-pffrag&#34;&gt;Correctif de sécurité pffrag&lt;/h2&gt;
&lt;p&gt;&lt;strong&gt;Une séquence de fragments IPv4 se chevauchant pourrait faire planter le
noyau en pf en raison d&amp;rsquo;une assertion.&lt;/strong&gt;&lt;/p&gt;
&lt;p&gt;Il est nécessaire de redémarrer le noyau !&lt;/p&gt;
&lt;p&gt;Pour toutes les architectures supportées :&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;amd64, arm64, i386 par &lt;code&gt;syspatch&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/02/24/syspatch-pffrag-6.7-6.8/#recompilation&#34;&gt;recompilation&lt;/a&gt;&lt;/li&gt;
&lt;/ul&gt;
&lt;hr&gt;
&lt;h2 id=&#34;syspatch&#34;&gt;Syspatch&lt;/h2&gt;
&lt;p&gt;Cette étape ne concerne que les architectures amd64, arm64, i386 !&lt;/p&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# syspatch&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;Ensuite &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/02/24/syspatch-pffrag-6.7-6.8/#restart&#34;&gt;redémarrez&lt;/a&gt; la machine !&lt;/p&gt;
&lt;h2 id=&#34;recompilation&#34;&gt;Recompilation&lt;/h2&gt;
&lt;p&gt;Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :&lt;/p&gt;
&lt;p&gt;⇒ Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;Pour 6.8 :&lt;/li&gt;
&lt;/ul&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/014_pffrag.patch.sig&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# signify -Vep /etc/signify/openbsd-68-base.pub -x 014_pffrag.patch.sig \&lt;/span&gt;
        -m - &lt;span class=&#34;p&#34;&gt;|&lt;/span&gt; &lt;span class=&#34;o&#34;&gt;(&lt;/span&gt;&lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src &lt;span class=&#34;o&#34;&gt;&amp;amp;&amp;amp;&lt;/span&gt; patch -p0&lt;span class=&#34;o&#34;&gt;)&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;ul&gt;
&lt;li&gt;Pour 6.7 :&lt;/li&gt;
&lt;/ul&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.7/common/035_pffrag.patch.sig&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# signify -Vep /etc/signify/openbsd-67-base.pub -x 035_pffrag.patch.sig \&lt;/span&gt;
        -m - &lt;span class=&#34;p&#34;&gt;|&lt;/span&gt; &lt;span class=&#34;o&#34;&gt;(&lt;/span&gt;&lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src &lt;span class=&#34;o&#34;&gt;&amp;amp;&amp;amp;&lt;/span&gt; patch -p0&lt;span class=&#34;o&#34;&gt;)&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;⇒ La phase de recompilation :&lt;/p&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;4
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;5
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;6
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# KK=`sysctl -n kern.osversion | cut -d# -f1`&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# cd /usr/src/sys/arch/`machine`/compile/$KK&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make obj&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make config&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make install&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;Pour finir, &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/02/24/syspatch-pffrag-6.7-6.8/#restart&#34;&gt;redémarrez&lt;/a&gt; la machine !&lt;/p&gt;
&lt;h2 id=&#34;restart&#34;&gt;Restart&lt;/h2&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# reboot&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;hr&gt;
&lt;p&gt;Plus d&amp;rsquo;informations sur les pages d&amp;rsquo;Errata &lt;a href=&#34;https://openbsd.org/errata68.html&#34;&gt;6.8&lt;/a&gt; et &lt;a href=&#34;https://openbsd.org/errata67.html&#34;&gt;6.7&lt;/a&gt;… &lt;br&gt;
&lt;em&gt;et leurs versions FR respectives : &lt;a href=&#34;https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68&#34;&gt;6.8 FR&lt;/a&gt; et &lt;a href=&#34;https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata67&#34;&gt;6.7 FR&lt;/a&gt;.&lt;/em&gt;&lt;/p&gt;
&lt;hr&gt;
</description>
                
                
                
                
                
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/categories/syspatch/">Syspatch</category>
                                
                            
                        
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/syspatch/">Syspatch</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/pf/">PF</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/6.7/">6.7</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/6.8/">6.8</category>
                                
                            
                        
                    
                
            </item>
        
            <item>
                <title>LibreSSL : 3.2.4</title>
                <link>https://openbsd.fr.eu.org/posts/2021/02/13/libressl-3.2.4/</link>
                <guid isPermaLink="true">https://openbsd.fr.eu.org/posts/2021/02/13/libressl-3.2.4/</guid>
                <pubDate>Sat, 13 Feb 2021 06:32:39 &#43;0100</pubDate>
                
                    <author>puffy@openbsd.fr.eu.org (OBSD4a)</author>
                
                <copyright>[CC 0](https://creativecommons.org/publicdomain/zero/1.0/deed.fr)</copyright>
                
                    <description>&lt;h2 id=&#34;description&#34;&gt;Description&lt;/h2&gt;
&lt;p&gt;Suite au correctif &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/02/03/syspatch-libressl-6.8/&#34;&gt;libressl&lt;/a&gt;, l&amp;rsquo;équipe OpenBSD délivre une nouvelle version de LibreSSL.&lt;/p&gt;
&lt;p&gt;Elle inclut les correctifs des bogues et d&amp;rsquo;interopérabilités suivants :&lt;/p&gt;
&lt;pre&gt;&lt;code&gt;* Switch back to certificate verification code from LibreSSL 3.1.x. The
new verifier is not bug compatible with the old verifier causing issues
with applications expecting behavior of the old verifier.

* Unbreak DTLS retransmissions for flights that include a CCS

* Only check BIO_should_read() on read and BIO_should_write() on write

* Implement autochain for the TLSv1.3 server

* Use the legacy verifier for autochain

* Implement exporter for TLSv1.3

* Free alert_data and phh_data in tls13_record_layer_free()

* Plug leak in x509_verify_chain_dup()

* Free the policy tree in x509_vfy_check_policy()
&lt;/code&gt;&lt;/pre&gt;&lt;hr&gt;
&lt;p&gt;Retrouvez la note de version :&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;a href=&#34;https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/libressl-3.2.4-relnotes.txt&#34;&gt;3.2.4&lt;/a&gt;&lt;/li&gt;
&lt;/ul&gt;
&lt;hr&gt;
</description>
                
                
                
                
                
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/categories/libressl/">LibreSSL</category>
                                
                            
                        
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/libressl/">LibreSSL</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/3.2/">3.2</category>
                                
                            
                        
                    
                
            </item>
        
            <item>
                <title>Syspatch : libressl (2021/02/02)</title>
                <link>https://openbsd.fr.eu.org/posts/2021/02/03/syspatch-libressl-6.8/</link>
                <guid isPermaLink="true">https://openbsd.fr.eu.org/posts/2021/02/03/syspatch-libressl-6.8/</guid>
                <pubDate>Wed, 03 Feb 2021 07:14:19 &#43;0100</pubDate>
                
                    <author>puffy@openbsd.fr.eu.org (OBSD4a)</author>
                
                <copyright>[CC 0](https://creativecommons.org/publicdomain/zero/1.0/deed.fr)</copyright>
                
                    <description>&lt;h2 id=&#34;correctif-de-fiabilité-libressl&#34;&gt;Correctif de fiabilité libressl&lt;/h2&gt;
&lt;p&gt;&lt;strong&gt;De nombreux problèmes d&amp;rsquo;interopérabilité et failles mémoire ont été découvertes dans les bibliothèques libcrypto et libssl.&lt;/strong&gt;&lt;/p&gt;
&lt;p&gt;Il peut-être nécessaire de redémarrer certains services, tels isakmpd, unwind.&lt;/p&gt;
&lt;p&gt;Pour toutes les architectures supportées :&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;amd64, arm64, i386 par &lt;code&gt;syspatch&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/02/03/syspatch-libressl-6.8/#recompilation&#34;&gt;recompilation&lt;/a&gt;&lt;/li&gt;
&lt;/ul&gt;
&lt;hr&gt;
&lt;h2 id=&#34;syspatch&#34;&gt;Syspatch&lt;/h2&gt;
&lt;p&gt;Cette étape ne concerne que les architectures amd64, arm64, i386 !&lt;/p&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# syspatch&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;Ensuite &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/02/03/syspatch-libressl-6.8/#restart&#34;&gt;redémarrez&lt;/a&gt; les services utilisés, si c&amp;rsquo;est le cas !&lt;/p&gt;
&lt;h2 id=&#34;recompilation&#34;&gt;Recompilation&lt;/h2&gt;
&lt;p&gt;Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :&lt;/p&gt;
&lt;p&gt;⇒ Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :&lt;/p&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/013_libressl.patch.sig&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# signify -Vep /etc/signify/openbsd-68-base.pub -x 013_libressl.patch.sig \&lt;/span&gt;
        -m - &lt;span class=&#34;p&#34;&gt;|&lt;/span&gt; &lt;span class=&#34;o&#34;&gt;(&lt;/span&gt;&lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src &lt;span class=&#34;o&#34;&gt;&amp;amp;&amp;amp;&lt;/span&gt; patch -p0&lt;span class=&#34;o&#34;&gt;)&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;⇒ La phase de recompilation :&lt;/p&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt; 1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt; 2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt; 3
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt; 4
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt; 5
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt; 6
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt; 7
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt; 8
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt; 9
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;10
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;11
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;12
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;13
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;14
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;15
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;16
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src/lib/libcrypto
make obj
make
make install
&lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src/lib/libssl
make obj
make
make install
&lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src/sbin/isakmpd
make obj
make
make install
&lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src/sbin/unwind
make obj
make
make install
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;Pour finir, &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/02/03/syspatch-libressl-6.8/#restart&#34;&gt;redémarrez&lt;/a&gt; les services, si utilisés.&lt;/p&gt;
&lt;h2 id=&#34;restart&#34;&gt;Restart&lt;/h2&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# rcctl restart isakmpd unwind&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;hr&gt;
&lt;p&gt;Plus d&amp;rsquo;informations sur les pages d&amp;rsquo;Errata &lt;a href=&#34;https://openbsd.org/errata68.html&#34;&gt;6.8&lt;/a&gt;… &lt;br&gt;
&lt;em&gt;et leurs versions FR respectives : &lt;a href=&#34;https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68&#34;&gt;6.8 FR&lt;/a&gt;.&lt;/em&gt;&lt;/p&gt;
&lt;hr&gt;
</description>
                
                
                
                
                
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/categories/syspatch/">Syspatch</category>
                                
                            
                        
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/syspatch/">Syspatch</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/libressl/">LibreSSL</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/6.8/">6.8</category>
                                
                            
                        
                    
                
            </item>
        
            <item>
                <title>Syspatch : carp (2021/01/13)</title>
                <link>https://openbsd.fr.eu.org/posts/2021/01/13/syspatch-carp-bpf/</link>
                <guid isPermaLink="true">https://openbsd.fr.eu.org/posts/2021/01/13/syspatch-carp-bpf/</guid>
                <pubDate>Wed, 13 Jan 2021 20:02:39 &#43;0100</pubDate>
                
                    <author>puffy@openbsd.fr.eu.org (OBSD4a)</author>
                
                <copyright>[CC 0](https://creativecommons.org/publicdomain/zero/1.0/deed.fr)</copyright>
                
                    <description>&lt;h2 id=&#34;correctif-de-fiabilité-carp&#34;&gt;Correctif de fiabilité carp&lt;/h2&gt;
&lt;p&gt;&lt;strong&gt;L&amp;rsquo;utilisation de bpf(4) sur une interface CARP pourrait entraîner une
utilisation après une erreur&lt;/strong&gt;.&lt;/p&gt;
&lt;p&gt;Il est nécessaire de &lt;strong&gt;redémarrer la machine&lt;/strong&gt; car ce correctif affecte
le noyau.&lt;/p&gt;
&lt;p&gt;Pour toutes les architectures supportées :&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;amd64, arm64, i386 par &lt;code&gt;syspatch&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/01/13/syspatch-carp-bpf/#recompilation&#34;&gt;recompilation&lt;/a&gt;&lt;/li&gt;
&lt;/ul&gt;
&lt;hr&gt;
&lt;h2 id=&#34;syspatch&#34;&gt;Syspatch&lt;/h2&gt;
&lt;p&gt;Cette étape ne concerne que les architectures amd64, arm64, i386 !&lt;/p&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# syspatch&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;Ensuite &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/01/13/syspatch-carp-bpf/#restart&#34;&gt;redémarrez&lt;/a&gt; la machine !&lt;/p&gt;
&lt;h2 id=&#34;recompilation&#34;&gt;Recompilation&lt;/h2&gt;
&lt;p&gt;Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :&lt;/p&gt;
&lt;p&gt;⇒ Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;Pour 6.8 :&lt;/li&gt;
&lt;/ul&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/012_carp.patch.sig&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# signify -Vep /etc/signify/openbsd-68-base.pub -x 012_carp.patch.sig \&lt;/span&gt;
        -m - &lt;span class=&#34;p&#34;&gt;|&lt;/span&gt; &lt;span class=&#34;o&#34;&gt;(&lt;/span&gt;&lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src &lt;span class=&#34;o&#34;&gt;&amp;amp;&amp;amp;&lt;/span&gt; patch -p0&lt;span class=&#34;o&#34;&gt;)&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;⇒ La phase de recompilation  :&lt;/p&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;4
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;5
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;6
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# KK=`sysctl -n kern.osversion | cut -d# -f1`&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# cd /usr/src/sys/arch/`machine`/compile/$KK&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make obj&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make config&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make install&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;Pour finir, &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/01/13/syspatch-carp-bpf/#restart&#34;&gt;redémarrez&lt;/a&gt; la machine !&lt;/p&gt;
&lt;h2 id=&#34;restart&#34;&gt;Restart&lt;/h2&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# reboot&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;hr&gt;
&lt;p&gt;Plus d&amp;rsquo;informations sur les pages d&amp;rsquo;Errata &lt;a href=&#34;https://openbsd.org/errata68.html&#34;&gt;6.8&lt;/a&gt; et &lt;a href=&#34;https://openbsd.org/errata67.html&#34;&gt;6.7&lt;/a&gt;… &lt;br&gt;
&lt;em&gt;et leurs versions FR respectives : &lt;a href=&#34;https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68&#34;&gt;6.8 FR&lt;/a&gt; et &lt;a href=&#34;https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata67&#34;&gt;6.7 FR&lt;/a&gt;.&lt;/em&gt;&lt;/p&gt;
&lt;hr&gt;
</description>
                
                
                
                
                
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/categories/syspatch/">Syspatch</category>
                                
                            
                        
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/syspatch/">Syspatch</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/carp/">carp</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/bpf/">bpf</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/6.8/">6.8</category>
                                
                            
                        
                    
                
            </item>
        
            <item>
                <title>Syspatch : NDP - IPv6 (2021/01/11)</title>
                <link>https://openbsd.fr.eu.org/posts/2021/01/11/syspatch-nd6/</link>
                <guid isPermaLink="true">https://openbsd.fr.eu.org/posts/2021/01/11/syspatch-nd6/</guid>
                <pubDate>Mon, 11 Jan 2021 15:05:12 &#43;0100</pubDate>
                
                    <author>puffy@openbsd.fr.eu.org (OBSD4a)</author>
                
                <copyright>[CC 0](https://creativecommons.org/publicdomain/zero/1.0/deed.fr)</copyright>
                
                    <description>&lt;h2 id=&#34;correctif-de-fiabilité--nd6&#34;&gt;Correctif de fiabilité  nd6&lt;/h2&gt;
&lt;p&gt;&lt;strong&gt;Quand une entrée NDP est invalide sur la couche de niveau 2, celle-ci
n&amp;rsquo;est pas invalidée.&lt;/strong&gt;&lt;/p&gt;
&lt;p&gt;Il est nécessaire de &lt;strong&gt;redémarrer la machine&lt;/strong&gt; car ce correctif affecte
le noyau.&lt;/p&gt;
&lt;p&gt;Pour toutes les architectures supportées :&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;amd64, arm64, i386 par &lt;code&gt;syspatch&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/01/11/syspatch-nd6/#recompilation&#34;&gt;recompilation&lt;/a&gt;&lt;/li&gt;
&lt;/ul&gt;
&lt;hr&gt;
&lt;h2 id=&#34;syspatch&#34;&gt;Syspatch&lt;/h2&gt;
&lt;p&gt;Cette étape ne concerne que les architectures amd64, arm64, i386 !&lt;/p&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# syspatch&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;Ensuite &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/01/11/syspatch-nd6/#restart&#34;&gt;redémarrez&lt;/a&gt; la machine !&lt;/p&gt;
&lt;h2 id=&#34;recompilation&#34;&gt;Recompilation&lt;/h2&gt;
&lt;p&gt;Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :&lt;/p&gt;
&lt;p&gt;⇒ Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;Pour 6.8 :&lt;/li&gt;
&lt;/ul&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/011_nd6.patch.sig&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# signify -Vep /etc/signify/openbsd-68-base.pub -x 011_nd6.patch.sig \&lt;/span&gt;
        -m - &lt;span class=&#34;p&#34;&gt;|&lt;/span&gt; &lt;span class=&#34;o&#34;&gt;(&lt;/span&gt;&lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src &lt;span class=&#34;o&#34;&gt;&amp;amp;&amp;amp;&lt;/span&gt; patch -p0&lt;span class=&#34;o&#34;&gt;)&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;ul&gt;
&lt;li&gt;Pour 6.7 :&lt;/li&gt;
&lt;/ul&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# https://ftp.openbsd.org/pub/OpenBSD/patches/6.7/common/034_nd6.patch.sig&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# signify -Vep /etc/signify/openbsd-67-base.pub -x 034_nd6.patch.sig \&lt;/span&gt;
        -m - &lt;span class=&#34;p&#34;&gt;|&lt;/span&gt; &lt;span class=&#34;o&#34;&gt;(&lt;/span&gt;&lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src &lt;span class=&#34;o&#34;&gt;&amp;amp;&amp;amp;&lt;/span&gt; patch -p0&lt;span class=&#34;o&#34;&gt;)&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;⇒ La phase de recompilation  :&lt;/p&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;4
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;5
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;6
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# KK=`sysctl -n kern.osversion | cut -d# -f1`&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# cd /usr/src/sys/arch/`machine`/compile/$KK&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make obj&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make config&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make install&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;Pour finir, &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2021/01/11/syspatch-nd6/#restart&#34;&gt;redémarrez&lt;/a&gt; la machine !&lt;/p&gt;
&lt;h2 id=&#34;restart&#34;&gt;Restart&lt;/h2&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# reboot&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;hr&gt;
&lt;p&gt;Plus d&amp;rsquo;informations sur les pages d&amp;rsquo;Errata &lt;a href=&#34;https://openbsd.org/errata68.html&#34;&gt;6.8&lt;/a&gt; et &lt;a href=&#34;https://openbsd.org/errata67.html&#34;&gt;6.7&lt;/a&gt;… &lt;br&gt;
&lt;em&gt;et leurs versions FR respectives : &lt;a href=&#34;https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68&#34;&gt;6.8 FR&lt;/a&gt; et &lt;a href=&#34;https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata67&#34;&gt;6.7 FR&lt;/a&gt;.&lt;/em&gt;&lt;/p&gt;
&lt;hr&gt;
</description>
                
                
                
                
                
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/categories/syspatch/">Syspatch</category>
                                
                            
                        
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/syspatch/">Syspatch</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/ndp/">NDP</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/ipv6/">IPv6</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/6.7/">6.7</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/6.8/">6.8</category>
                                
                            
                        
                    
                
            </item>
        
            <item>
                <title>Syspatch : smptd (2020/12/23)</title>
                <link>https://openbsd.fr.eu.org/posts/2020/12/24/syspatch-smptd-6.7-6.8/</link>
                <guid isPermaLink="true">https://openbsd.fr.eu.org/posts/2020/12/24/syspatch-smptd-6.7-6.8/</guid>
                <pubDate>Thu, 24 Dec 2020 15:05:12 &#43;0100</pubDate>
                
                    <author>puffy@openbsd.fr.eu.org (OBSD4a)</author>
                
                <copyright>[CC 0](https://creativecommons.org/publicdomain/zero/1.0/deed.fr)</copyright>
                
                    <description>&lt;h2 id=&#34;correctif-de-fiabilité-smtpd&#34;&gt;Correctif de fiabilité smtpd&lt;/h2&gt;
&lt;p&gt;&lt;strong&gt;La machine à états de filtrage de smtpd peut libérer prématurément des
ressources conduisant à un plantage&lt;/strong&gt;.&lt;/p&gt;
&lt;p&gt;Il est nécessaire de &lt;strong&gt;redémarrer le service&lt;/strong&gt; après l&amp;rsquo;application du correctif !&lt;/p&gt;
&lt;p&gt;Pour toutes les architectures supportées :&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;amd64, arm64, i386 par &lt;code&gt;syspatch&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2020/12/24/syspatch-smptd-6.7-6.8/#recompilation&#34;&gt;recompilation&lt;/a&gt;&lt;/li&gt;
&lt;/ul&gt;
&lt;hr&gt;
&lt;h2 id=&#34;syspatch&#34;&gt;Syspatch&lt;/h2&gt;
&lt;p&gt;Cette étape ne concerne que les architectures amd64, arm64, i386 !&lt;/p&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# syspatch&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;Ensuite &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2020/12/24/syspatch-smptd-6.7-6.8/#restart&#34;&gt;redémarrez&lt;/a&gt; le service !&lt;/p&gt;
&lt;h2 id=&#34;recompilation&#34;&gt;Recompilation&lt;/h2&gt;
&lt;p&gt;Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :&lt;/p&gt;
&lt;p&gt;⇒ Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;Pour 6.8 :&lt;/li&gt;
&lt;/ul&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/010_smtpd.patch.sig&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# signify -Vep /etc/signify/openbsd-68-base.pub -x 010_smtpd.patch.sig \&lt;/span&gt;
        -m - &lt;span class=&#34;p&#34;&gt;|&lt;/span&gt; &lt;span class=&#34;o&#34;&gt;(&lt;/span&gt;&lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src &lt;span class=&#34;o&#34;&gt;&amp;amp;&amp;amp;&lt;/span&gt; patch -p0&lt;span class=&#34;o&#34;&gt;)&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;ul&gt;
&lt;li&gt;Pour 6.7 :&lt;/li&gt;
&lt;/ul&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.7/common/033_smtpd.patch.sig&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# signify -Vep /etc/signify/openbsd-67-base.pub -x 033_smtpd.patch.sig \&lt;/span&gt;
        -m - &lt;span class=&#34;p&#34;&gt;|&lt;/span&gt; &lt;span class=&#34;o&#34;&gt;(&lt;/span&gt;&lt;span class=&#34;nb&#34;&gt;cd&lt;/span&gt; /usr/src &lt;span class=&#34;o&#34;&gt;&amp;amp;&amp;amp;&lt;/span&gt; patch -p0&lt;span class=&#34;o&#34;&gt;)&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;⇒ La phase de recompilation :&lt;/p&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;2
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;3
&lt;/span&gt;&lt;span class=&#34;lnt&#34;&gt;4
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# cd /usr/src/usr.sbin/smtpd&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make obj&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make&lt;/span&gt;
&lt;span class=&#34;c1&#34;&gt;# make install&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;p&gt;Pour finir, &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2020/12/24/syspatch-smptd-6.7-6.8/#restart&#34;&gt;redémarrez&lt;/a&gt; le service !&lt;/p&gt;
&lt;h2 id=&#34;restart&#34;&gt;Restart&lt;/h2&gt;
&lt;div class=&#34;highlight&#34;&gt;&lt;div class=&#34;chroma&#34;&gt;
&lt;table class=&#34;lntable&#34;&gt;&lt;tr&gt;&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code&gt;&lt;span class=&#34;lnt&#34;&gt;1
&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;
&lt;td class=&#34;lntd&#34;&gt;
&lt;pre class=&#34;chroma&#34;&gt;&lt;code class=&#34;language-ksh&#34; data-lang=&#34;ksh&#34;&gt;&lt;span class=&#34;c1&#34;&gt;# rcctl restart smtpd&lt;/span&gt;
&lt;/code&gt;&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;/div&gt;
&lt;/div&gt;&lt;hr&gt;
&lt;p&gt;Plus d&amp;rsquo;informations sur les pages d&amp;rsquo;Errata &lt;a href=&#34;https://openbsd.org/errata68.html&#34;&gt;6.8&lt;/a&gt; et &lt;a href=&#34;https://openbsd.org/errata67.html&#34;&gt;6.7&lt;/a&gt;… &lt;br&gt;
&lt;em&gt;et leurs versions FR respectives : &lt;a href=&#34;https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68&#34;&gt;6.8 FR&lt;/a&gt; et &lt;a href=&#34;https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata67&#34;&gt;6.7 FR&lt;/a&gt;.&lt;/em&gt;&lt;/p&gt;
&lt;hr&gt;
</description>
                
                
                
                
                
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/categories/syspatch/">Syspatch</category>
                                
                            
                        
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/syspatch/">Syspatch</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/smtpd/">smtpd</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/6.7/">6.7</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/6.8/">6.8</category>
                                
                            
                        
                    
                
            </item>
        
            <item>
                <title>LibreSSL : 3.3.1, 3.2.3, 3.1.5</title>
                <link>https://openbsd.fr.eu.org/posts/2020/12/09/libressl-3.3.1-3.2.3-3.1.5/</link>
                <guid isPermaLink="true">https://openbsd.fr.eu.org/posts/2020/12/09/libressl-3.3.1-3.2.3-3.1.5/</guid>
                <pubDate>Wed, 09 Dec 2020 13:23:17 &#43;0100</pubDate>
                
                    <author>puffy@openbsd.fr.eu.org (OBSD4a)</author>
                
                <copyright>[CC 0](https://creativecommons.org/publicdomain/zero/1.0/deed.fr)</copyright>
                
                    <description>&lt;h2 id=&#34;description&#34;&gt;Description&lt;/h2&gt;
&lt;p&gt;Suite au &lt;a href=&#34;https://openbsd.fr.eu.org/posts/2020/12/09/syspatch-asn1-exit/#correctif-de-s%C3%A9curit%C3%A9-asn1&#34;&gt;correctif de sécurité à-propos d&amp;rsquo;asn.1&lt;/a&gt;, l&amp;rsquo;équipe OpenBSD
délivre trois nouvelles versions de LibreSSL.&lt;/p&gt;
&lt;p&gt;Retrouvez les notes respectives de ces trois versions :&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;a href=&#34;https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/libressl-3.3.1-relnotes.txt&#34;&gt;3.3.1&lt;/a&gt;&lt;/li&gt;
&lt;li&gt;&lt;a href=&#34;https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/libressl-3.2.3-relnotes.txt&#34;&gt;3.2.3&lt;/a&gt;&lt;/li&gt;
&lt;li&gt;&lt;a href=&#34;https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/libressl-3.1.5-relnotes.txt&#34;&gt;3.1.5&lt;/a&gt;&lt;/li&gt;
&lt;/ul&gt;
&lt;hr&gt;
</description>
                
                
                
                
                
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/categories/libressl/">LibreSSL</category>
                                
                            
                        
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/libressl/">LibreSSL</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/3.3/">3.3</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/3.2/">3.2</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/3.1/">3.1</category>
                                
                            
                        
                    
                
            </item>
        
            <item>
                <title>OpenNTPD 6.8p1</title>
                <link>https://openbsd.fr.eu.org/posts/2020/12/09/openntpd-6.8p1/</link>
                <guid isPermaLink="true">https://openbsd.fr.eu.org/posts/2020/12/09/openntpd-6.8p1/</guid>
                <pubDate>Wed, 09 Dec 2020 13:13:58 &#43;0100</pubDate>
                
                    <author>puffy@openbsd.fr.eu.org (OBSD4a)</author>
                
                <copyright>[CC 0](https://creativecommons.org/publicdomain/zero/1.0/deed.fr)</copyright>
                
                    <description>&lt;h2 id=&#34;description&#34;&gt;Description&lt;/h2&gt;
&lt;p&gt;L&amp;rsquo;équipe OpenBSD sort une nouvelle version d&amp;rsquo;OpenNTDP, la &lt;strong&gt;6.8p1&lt;/strong&gt;.&lt;/p&gt;
&lt;p&gt;&lt;em&gt;cela fait quelques années qu&amp;rsquo;il n&amp;rsquo;y avait pas eu de sortie majeure, depuis la 6.2p3&lt;/em&gt;&lt;/p&gt;
&lt;h2 id=&#34;changelog&#34;&gt;Changelog&lt;/h2&gt;
&lt;ul&gt;
&lt;li&gt;
&lt;p&gt;The ntpd daemon now gets and sets the clock in a secure way when booting
even when a battery-backed clock is absent.&lt;/p&gt;
&lt;/li&gt;
&lt;li&gt;
&lt;p&gt;Improvements in DNS resolving and constraints checking, especially during
startup. Unreliable NTP peers are removed from the pool and DNS resolving
is repeated to add replacements.&lt;/p&gt;
&lt;/li&gt;
&lt;li&gt;
&lt;p&gt;Improved reliability and security of TLS constraint checking.&lt;/p&gt;
&lt;/li&gt;
&lt;li&gt;
&lt;p&gt;Improved logging of failure cases.&lt;/p&gt;
&lt;/li&gt;
&lt;li&gt;
&lt;p&gt;Prevent the case of multiple ntpds running at once by checking presence
of the local control socket.&lt;/p&gt;
&lt;/li&gt;
&lt;li&gt;
&lt;p&gt;TLS certificates are now searched in TLS_CA_CERT_FILE.&lt;/p&gt;
&lt;/li&gt;
&lt;li&gt;
&lt;p&gt;The default ntpd.conf configuration file now uses 9.9.9.9 and
2620:fe::fe, in addition to google.com, when performing time constraint
validation.&lt;/p&gt;
&lt;/li&gt;
&lt;li&gt;
&lt;p&gt;Improved handling unsynched mode when there is no replies from an NTP
server, such as when there are network connectivity issues.&lt;/p&gt;
&lt;/li&gt;
&lt;li&gt;
&lt;p&gt;To build OpenNTPD with time constraint support, libtls from LibreSSL
3.2.2 or later is recommended.&lt;/p&gt;
&lt;/li&gt;
&lt;/ul&gt;
&lt;hr&gt;
</description>
                
                
                
                
                
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/categories/openntpd/">OpenNTPD</category>
                                
                            
                        
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/openntpd/">OpenNTPD</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/6.8/">6.8</category>
                                
                            
                        
                    
                
            </item>
        
            <item>
                <title>Syspatch : asn.1, exit (2020/12/08)</title>
                <link>https://openbsd.fr.eu.org/posts/2020/12/09/syspatch-asn1-exit/</link>
                <guid isPermaLink="true">https://openbsd.fr.eu.org/posts/2020/12/09/syspatch-asn1-exit/</guid>
                <pubDate>Wed, 09 Dec 2020 12:51:50 &#43;0100</pubDate>
                
                    <author>puffy@openbsd.fr.eu.org (OBSD4a)</author>
                
                <copyright>[CC 0](https://creativecommons.org/publicdomain/zero/1.0/deed.fr)</copyright>
                
                    <description>&lt;h2 id=&#34;correctif-de-sécurité-asn1&#34;&gt;Correctif de Sécurité asn.1&lt;/h2&gt;
&lt;p&gt;Concernant LibreSSL, &lt;strong&gt;une notation ASN.1 mal formée dans une liste de
révocation de certificat ou une réponse de timestamp peut amener vers un
pointeur de déréférencement NULL&lt;/strong&gt;&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;le correctif affecte le noyau OpenBSD 6.7 et 6.8 et nécessite le redémarrage
de la machine&lt;/li&gt;
&lt;/ul&gt;
&lt;h2 id=&#34;correctif-de-fiabilité-exit&#34;&gt;Correctif de fiabilité exit&lt;/h2&gt;
&lt;p&gt;&lt;strong&gt;Lors d&amp;rsquo;un processus de sortie, dans des programmes multithread un faux
code de sortie peut être reporté&lt;/strong&gt;.&lt;/p&gt;
&lt;hr&gt;
&lt;p&gt;Plus d&amp;rsquo;informations sur les pages d&amp;rsquo;Errata &lt;a href=&#34;https://openbsd.org/errata68.html&#34;&gt;6.8&lt;/a&gt; et &lt;a href=&#34;https://openbsd.org/errata67.html&#34;&gt;6.7&lt;/a&gt;… &lt;br&gt;
&lt;em&gt;et leurs versions FR respectives : &lt;a href=&#34;https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68&#34;&gt;6.8 FR&lt;/a&gt; et &lt;a href=&#34;https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata67&#34;&gt;6.7 FR&lt;/a&gt;.&lt;/em&gt;&lt;/p&gt;
&lt;hr&gt;
</description>
                
                
                
                
                
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/categories/syspatch/">Syspatch</category>
                                
                            
                        
                    
                        
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/syspatch/">Syspatch</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/asn.1/">asn.1</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/exit/">exit</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/6.7/">6.7</category>
                                
                            
                                
                                
                                
                                    <category domain="https://openbsd.fr.eu.org/tags/6.8/">6.8</category>
                                
                            
                        
                    
                
            </item>
        
    </channel>
</rss>
